import "./index.scss";
import {ApiInterface, getApi} from "@navvis/ivion";
import {SampleContextMenuEntryLayer} from "./SampleContextMenuEntryLayer";

class TestApp
{
	public ivApi: ApiInterface;

	constructor()
	{
		getApi("https://iviondemo.iv.navvis.com/")
			.then((iv: ApiInterface) =>
			{
				this.ivApi = iv;
				new SampleContextMenuEntryLayer(this.ivApi.view.mainView);

			}).catch((error) => console.warn(error));
	}
}

(<any>window).TestApp = new TestApp();
